#! perl

#use strict;

############## definition 
my $usage="  Input orignalfilename newname \n";

my $infile;
my $outfile;
my $counter;
#####################
#&set_up;

printf "\n\tPlease input file name: ";
$infile = <STDIN>;
printf "\t\Please output file name: ";
$outfile=<STDIN>; 

open(INPUT, "<$infile") || die "Could not open infile !\n";
open(OUTPUT, ">$outfile") || die "Could not open $outfile\n";

printf "\n\tStart transforming, please waiting ... \n";

while(<INPUT>) {
   if(/^(.+)map.([0-9][0-9])(.+)/) {
     printf OUTPUT "$1map,$2$3\n";
   }elsif(/^(.+)push.([0-9][0-9])(.+)/) {
     printf OUTPUT "$1push,$2$3\n";
   }elsif(/^title(.+)\([0-9].+$/){
       $counter=$counter+1;
     printf OUTPUT "title$1 ($counter)\n";
   }else {
     printf OUTPUT $_;
   }

}

   die "\n\t\aDone !\n";

############################
sub set_up {
  if(@ARGV<1) {
	  die "$usage\n";
   }
  for($i=0; $i<@ARGV; ++$i) {
	$_=$ARGV[$i];
	if($_ eq "-n") {
		printf "\tNot defined yet\n";
	}elsif ($_ eq "_b") {
		;
	} else {
		printf "\tName: $_\n";
	}
  } 
}

############ end of transform ########## 
